javax.annotation.processing

## Class Completions

- java.lang.Object
- - javax.annotation.processing.Completions

-     public class Completions
      extends Object

  Utility class for assembling `Completion` objects.
  Since:
    1.6

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Completion` | `of(String value)` Returns a completion of the value and an empty message
    `static Completion` | `of(String value, String message)` Returns a completion of the value and message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### of

          public static Completion of(String value,
                      String message)

      Returns a completion of the value and message.
      Parameters:
        `value` - the text of the completion
        `message` - a message about the completion
      Returns:
        a completion of the provided value and message

    - #### of

          public static Completion of(String value)

      Returns a completion of the value and an empty message
      Parameters:
        `value` - the text of the completion
      Returns:
        a completion of the value and an empty message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.